Skip to main content
POST
/
client
/
transactions
/
offboard
/
initiate
cURL
curl --request POST \
  --url https://sandbox-remote-api.rayda.co/api/v2/client/transactions/offboard/initiate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "payment_method": "Credit",
  "country_id": "88730c2b-90a9-47e3-bd11-03b1fc414d7d",
  "orders": {},
  "redirect_url": "https://yourapp.com/transactions"
}
'
{
  "success": true,
  "message": "Record created successfully",
  "data": {
    "tx_ref": "tx_ref_r_6825f3520d072",
    "payment_method": "Credit",
    "total_amount": 134,
    "currency": "USD",
    "link": "?status=successful&tx_ref=tx_ref_r_6825f3520d072",
    "status": "Fulfilled"
  }
}
This endpoint initiates a transaction to offboard equipment from one or more employees. It calculates the total offboarding fees based on the equipment being returned and generates a payment link to complete the transaction.Note: Offboarding fees may apply, covering services such as logistics, device retrieval, and inspection. Additionally, a storage fee will be charged if the device is being moved to a storage facility.Payments can be made via Card or Credit. If Credit is selected, the amount will be deducted from your available credit wallet balance.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Transaction details including offboarding orders and payment method.

payment_method
string
required

The payment method to use for the transaction.

Example:

"Credit"

country_id
string<uuid>
required

The country associated with the offboarding.

Example:

"88730c2b-90a9-47e3-bd11-03b1fc414d7d"

orders
object
required

The key represents the ID of the employee from whom equipment is being offboarded.

redirect_url
string<uri>

Optional URL to redirect the user after payment.

Example:

"https://yourapp.com/transactions"

Response

Transaction initiated successfully. Returns payment link and transaction details.

success
boolean
Example:

true

message
string
Example:

"Record created successfully"

data
object